Ankündigung

Einklappen
Keine Ankündigung bisher.

Diverse Probleme nach Update von 1.3.8 auf 1.5

Einklappen
X
 
  • Filter
  • Zeit
  • Anzeigen
Alles löschen
neue Beiträge

    Diverse Probleme nach Update von 1.3.8 auf 1.5

    nach Update von 1.3.8 auf 1.5.0 kann ich nicht mehr in Admin einloggen, Die Fehlermeldung ist wie folgend.

    0 DB_ERROR_NOT_CONNECTED
    in:
    [select * from xxx_shopDBproject_version WHERE project_version_key = 'Zen-Cart Database' ]
    If you were entering information, press the BACK button in your browser and re-check the information you had entered to be sure you left no blank fields.

    Ich habe dann eine neue Datenbank erstellt und Update nochmals gemacht. Die Fehlermeldung bleibt wie vorher.

    Die Datenbankdaten in beide configure.php sind korrekt. 1und1 sagt mir, dass er auch kein Problem feststellen kann.

    Vielen Dank für eure Hilfe im Voraus.

    #2
    Zitat von hanseattica Beitrag anzeigen
    Die Datenbankdaten in beide configure.php sind korrekt. 1und1 sagt mir, dass er auch kein Problem feststellen kann.
    Hast du auch das Passwort überprüft?

    Kommentar


      #3
      ja, passwort ist auch richtig.

      Kommentar


        #4
        Zitat von hanseattica Beitrag anzeigen
        ja, passwort ist auch richtig.
        Überprüfe ALLE Datenbankdaten in der configure.php
        Datenbankserver sollte bei 1&1 sowas hier sein:
        Code:
        define('DB_SERVER', 'db12345678.db.1and1.com');
        Überprüfe insbesondere auf Leerzeichen am Anfang, die ganz gerne beim Rauskopieren mitgenommen werden, z.B.
        Code:
        define('DB_DATABASE', ' db12345678');
        ist nicht dasselbe wie
        Code:
        define('DB_DATABASE', 'db12345678');

        Kommentar


          #5
          Super!! Es war der Leerzeichen.

          Herzlichen Dank

          Kommentar


            #6
            Ich habe wieder ein Problem. Unter Admin->Konfiguration sehe ich nur "Protokollierung". Wo sind die andere geblieben?

            Kommentar


              #7
              Dein Admin User scheint keine Berechtigung für die anderen Menüs zu haben.
              Seite Zen Cart 1.5 kann genau gesteuert werden, welchen Adminmenüpunkt ein Adminuser sieht:
              https://forenarchiv.zen-cart-pro.at/...n-Zen-Cart-1-5
              Überprüfe unter Admin Benutzerrechte > Adminbenutzer, ob Dein User Superuser ist bzw. gib ihm die gewünschten Rechte. Wenn Du auch diesen Menüpunkt nicht siehst, dann kann das nur vom Superuser oder direkt in der Datenbank geändert werden.

              Kommentar


                #8
                Ich bin als Superuser eingelogt und sehe fast alle Menüpunkte unter Konfiguration.
                Aber die Add-ons wie z.B. PDF Rechnung, SEO und Image Handler kann ich nicht sehen. Ich kann nur per http://www.xxx.de/zc_new/meinAdmin/c...ation.phpID=31 oder 32 PDF Rechnung3 und SEO URLs sehen und editieren. Noch was, wenn ich irgendeinen Menüpunkt und Konfiguration klicke, hat die Seit Problem mit Umlaute. Unter andere wie Webshop, Module und Kunden gibt es kein Problem mit Umlaute.

                Kommentar


                  #9
                  Zitat von hanseattica Beitrag anzeigen
                  Ich bin als Superuser eingelogt und sehe fast alle Menüpunkte unter Konfiguration
                  Vorher klang das irgendwie etwas sehr anders:
                  Zitat von hanseattica Beitrag anzeigen
                  Unter Admin->Konfiguration sehe ich nur "Protokollierung"
                  Es ist schwer was Sinnvolles zu sagen bei solchen Problembeschreibungen

                  Zitat von hanseattica Beitrag anzeigen
                  Aber die Add-ons wie z.B. PDF Rechnung, SEO und Image Handler kann ich nicht sehen. Ich kann nur per www.xxx.de/zc_new/meinAdmin/configuration.phpID=31 oder 32 PDF Rechnung3 und SEO URLs sehen und editieren.
                  Du scheinst die alten Erweiterungen ganz unverändert weiterzuverwenden.
                  Bei einem Update musst Du auch die eingesetzten Module auf die jweils aktuellen Versionen bringen. Sonst werden sie zum einen nicht wirklich funktionieren und aber vor allem werden die Konfigurationseinträge für die Adminberechtigungen in 1.5 nicht vorgenommen.
                  Also ersetze Deine Module mit den passenden für 1.5 geeigneten Versionen, dann werden auch die Konfigeinträge im Admin sichtbar werden.

                  Zitat von hanseattica Beitrag anzeigen
                  Noch was, wenn ich irgendeinen Menüpunkt und Konfiguration klicke, hat die Seit Problem mit Umlaute. Unter andere wie Webshop, Module und Kunden gibt es kein Problem mit Umlaute.
                  Möglicherweise hilft folgender Eintrag in der DEINADMIN/includes/configure.php:
                  Code:
                  define('DB_CHARSET', 'utf8');

                  Kommentar


                    #10
                    Vielen Dank!!! Bei Umlaute funktioniert es jetzt
                    Sollte ich alle alte Add-ons zuerst löschen und dann die neue Version für 1.5.0 einfügen?

                    Kommentar


                      #11
                      Ja. Notiere Dir vorher die Konfigurationseinstellungen dieser Module, damit Du sie nachher wieder so einstellen kannst.

                      Kommentar

                      Info zu diesem Forenarchiv:
                      Mit Release von 1.5.7 wurde die deutsche Zen Cart Version auf eine reine DIY-Lösung umgestellt.
                      Für einen Support via Forum stehen keine personellen und zeitlichen Ressourcen mehr zur Verfügung.
                      Dieses Supportforum bleibt im Nur-Lesen-Modus als Wissensarchiv noch online verfügbar.
                      PM Funktionalität, Registrierung und Posten neuer Beiträge sind deaktiviert.
                      Zugriff auf Anhänge in den Postings ist auch ohne Registrierung/Einloggen möglich.
                      FAQ und Downloadbereich des Forums wurden in die neue umfangreiche Knowledgebase auf der zen-cart-pro.at Website übernommen.

                      Das Development der deutschen Zen Cart Version geht wie bisher auf Github weiter.
                      Wir werden auch weiterhin neue Versionen bereitstellen und die Onlinedokumentation/Knowledgebase aktualisieren.
                      Fehler in der Software können auf Github als Issues gemeldet werden.
                      Follow us
                      aktuelle version
                      Zen Cart 1.5.7 deutsch
                      vom 20.05.2022
                      [Download]
                      Lädt...
                      X